import setuptools 

with open("README.md", "r", encoding='utf-8') as fh:
    long_description = fh.read()
   
setuptools.setup(
    name="yincome",
    version="0.7.2",
    author="Ken Tang",
    author_email="kinyeah@gmail.com",
    install_requires=[            
          'pandas',
          'sxtwl',
      ],
	description="Yincome (演禽), one of the Ancient Chinese Astrologies symbolizing Twenty-Eight constellations as the 28 Animals to do divination, fortune telling, military strategies and prediction.",
	long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/kentang2017/yincome",
	packages=setuptools.find_packages(),
	package_data = {'yincome': ['data/day_chin.csv', 'data/month_chin.csv', 'data/seven_yuen.csv', 'data/seven_yuen_transposed.csv', 'data/chin_star_vs_ha.csv', 'data/yuen_five.csv', 'data/yuen_four.csv', 'data/yuen_three.csv', 'data/yuen_two.csv', 'data/yuen_one.csv', 'data/yuen_six.csv', 'data/yuen_seven.csv', 'data/fanchin_table.csv', 'data/doujiang_table.csv', 'data/huoyao_table.csv', 'data/animal_change_table.csv', 'data/chin_star_inhabit_place_hour.csv' ]},
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
)